Обновление ядра 8.3.7 - 8.4 через Drush или Composer

Аватар пользователя teqwer

Всем привет!

В общем хотел обновиться на версию 8.4 через drush.
Установил drush 9 (версии пробовал разные).
При проверке обновлений, команда drush ups выдает:

The pm-updatestatus command was deprecated. Please see `composer show` and `composer outdated`. For security release notification, your project should depend on https://github.com/drupal-composer/drupal-security-advisories.

команда drush up drupal:

[Symfony\Component\Console\Exception\CommandNotFoundException]
Command "up" is ambiguous (ups, upc and 3 more).

Остальные команды типа status, cr, cron и пр. работают нормально.
Ранее на версии drush 8 все обновления проходили нормально.
Подскажите в чем проблема?
Почему команды устарели, если на drushcommands.com они значатся для версии 9?
Как обновиться через drush 9.

P.S. Через Drush 8.1.14 обновиться не получается сыпятся ошибки.

Ключевые слова:
Тип материала:
Версия Drupal:
0 Спасибо

Лучший ответ

Аватар пользователя adubovskoy
adubovskoy 1 неделя назад 1

1. удалите папку vendor
2. в composer.json пропишите явно drupal/core ~8.4
3. запустите composer update

должно пройти

Комментарии

Аватар пользователя gun_dose
gun_dose 2 недели назад

composer update drupal/drupal
drush updb

0 Спасибо
Аватар пользователя teqwer
teqwer 2 недели назад
gun_dose написал:
composer update drupal/drupal

drush updb

Сейчас попробую, а команды up и ups убрали или они только у меня не работают?

0 Спасибо
Аватар пользователя gun_dose
gun_dose 2 недели назад

Я не знаю, я собираю восьмёрошные проекты через композер, а в таком раскладе драш не даёт грузить вообще ничего.

0 Спасибо
Аватар пользователя teqwer
teqwer 2 недели назад

Короче попробовал через composer:

[home01@hosting]$ composer update drupal/drupal
Package "drupal/drupal" listed for update is not installed. Ignoring.
Loading composer repositories with package information
Updating dependencies (including require-dev)
Package operations: 29 installs, 0 updates, 0 removals
- Installing symfony/css-selector (v2.8.18): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing behat/mink (dev-master 9ea1ceb): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing symfony/dom-crawler (v2.8.18): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing symfony/browser-kit (v2.8.18): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing fabpot/goutte (v3.2.1): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing behat/mink-browserkit-driver (v1.3.2): Downloading (100%) > Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing behat/mink-goutte-driver (v1.2.1): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing squizlabs/php_codesniffer (2.8.1): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing drupal/coder (8.2.12): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing jcalderonzumba/gastonjs (v1.0.2): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing jcalderonzumba/mink-phantomjs-driver (v0.3.1): Downloading (100%)> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing mikey179/vfsstream (v1.6.4): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/version (1.0.6): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/global-state (1.1.1): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/recursion-context (1.0.5): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/exporter (1.2.2): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/environment (1.3.8): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/diff (1.4.1): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/comparator (1.2.4): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-text-template (1.2.1): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing doctrine/instantiator (1.0.5): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/phpunit-mock-objects (2.3.8): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-timer (1.0.9): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-file-iterator (1.4.2): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-token-stream (1.4.11): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-code-coverage (2.2.4): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpdocumentor/reflection-docblock (2.0.4): Downloading (100%) > Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpspec/prophecy (v1.7.0): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/phpunit (4.8.35): Downloading (100%)
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
behat/mink suggests installing behat/mink-selenium2-driver (slow, but JS-enabled driver for any app (requires Selenium2))
behat/mink suggests installing behat/mink-zombie-driver (fast and JS-enabled headless driver for any app (requires node.js))
sebastian/global-state suggests installing ext-uopz (*)
phpunit/php-code-coverage suggests installing ext-xdebug (>=2.2.1)
phpdocumentor/reflection-docblock suggests installing dflydev/markdown (~1.0)
phpdocumentor/reflection-docblock suggests installing erusev/parsedown (~1.0)
phpunit/phpunit suggests installing phpunit/php-invoker (~1.1)
Generating autoload files
> Drupal\Core\Composer\Composer::preAutoloadDump
> Drupal\Core\Composer\Composer::ensureHtaccess

Потом updb, cr
Смотрю - версия прежняя 8.3.7
Пробовал несколько раз

0 Спасибо
Аватар пользователя teqwer
teqwer 2 недели назад

Погуглил про ошибку:
Package "drupal/drupal" listed for update is not installed. Ignoring.
добавил в composer.json в секцию require:
"drupal/core": "~8.3"
не помогло

0 Спасибо
Аватар пользователя ХулиGUN
ХулиGUN 2 недели назад

composer config repositories.drupal composer https://packages.drupal.org/8

0 Спасибо
Аватар пользователя loup54
loup54 1 неделя назад

Тоже интересно, как обновиться, вчера все способы перепробовал - экран смерти и все... Хорошо хоть ни в первый раз и откатить умею

0 Спасибо
Аватар пользователя ХулиGUN
ХулиGUN 1 неделя назад

Не вижу никаких проблем с обновлениями через менеджеры пакетов. Будь то composer, npm, pip. Думаю проблема заключается в понимании как работает тот или иной менеджер

0 Спасибо
Аватар пользователя teqwer
teqwer 1 неделя назад
GUN написал:
composer config repositories.drupal composer https:<span style="color: #808080; font-style: italic;">//packages.drupal.org/8</span>

Выполнил:
composer config repositories.drupal composer https://packages.drupal.org/8
composer update drupal/drupal
drush updb
- та же ошибка как сверху. Обновление не произошло.

Выполнил:
composer config repositories.drupal composer https://packages.drupal.org/8
composer update drupal/drupal
drush updb
+ добавил в composer.json в секцию require:
"drupal/core": "~8.3"
ошибка:

[home01@hosting]$ composer update drupal/drupal
Package "drupal/drupal" listed for update is not installed. Ignoring.
Loading composer repositories with package information
Updating dependencies (including require-dev)
Package operations: 1 install, 0 updates, 0 removals
- Installing drupal/core (8.3.7): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
Writing lock file
Generating autoload files

Пробовал обновить чистую версию 8.3.7 на 8.4
те же грабли...

0 Спасибо
Аватар пользователя gun_dose
gun_dose 1 неделя назад

А что в composer.json написано?

0 Спасибо
Аватар пользователя gun_dose
gun_dose 1 неделя назад 1

Ну конечно же, там не drupal/drupal, a drupal/core. Прошу прощения, что сразу написал неправильно, но ведь рекомендации из интернета надо как минимум осмысливать перед применением)))

Аватар пользователя loup54
loup54 1 неделя назад

Кароче, не стал себе голову заморачивать, обновил все вручную:скопировал папки сайта библиотеки, модули, темы,а также папку tmp, потому что друпал 8.40 почему то ее не имеет и нужно создавать ее руками. Знаю об этом так как пробовал его ставить с нуля, вот на мой взгляд вся трабла вот в этом

0 Спасибо
Аватар пользователя teqwer
teqwer 1 неделя назад
gun_dose написал:
drupal/core

drupal/core это я тоже пробовал.
Ошибка та же:

Package "drupal/core" listed for update is not installed. Ignoring.

Полный лог:

[home01@hosting]$ composer update drupal/core
Package "drupal/core" listed for update is not installed. Ignoring.
Loading composer repositories with package information
Updating dependencies (including require-dev)
Package operations: 29 installs, 0 updates, 0 removals
- Installing symfony/css-selector (v2.8.18): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing behat/mink (dev-master 9ea1ceb): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing symfony/dom-crawler (v2.8.18): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing symfony/browser-kit (v2.8.18): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing fabpot/goutte (v3.2.1): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing behat/mink-browserkit-driver (v1.3.2): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing behat/mink-goutte-driver (v1.2.1): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing squizlabs/php_codesniffer (2.8.1): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing drupal/coder (8.2.12): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing jcalderonzumba/gastonjs (v1.0.2): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing jcalderonzumba/mink-phantomjs-driver (v0.3.1): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing mikey179/vfsstream (v1.6.4): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/version (1.0.6): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/global-state (1.1.1): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/recursion-context (1.0.5): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/exporter (1.2.2): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/environment (1.3.8): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/diff (1.4.1): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing sebastian/comparator (1.2.4): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-text-template (1.2.1): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing doctrine/instantiator (1.0.5): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/phpunit-mock-objects (2.3.8): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-timer (1.0.9): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-file-iterator (1.4.2): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-token-stream (1.4.11): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/php-code-coverage (2.2.4): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpdocumentor/reflection-docblock (2.0.4): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpspec/prophecy (v1.7.0): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
- Installing phpunit/phpunit (4.8.35): Loading from cache
> Drupal\Core\Composer\Composer::vendorTestCodeCleanup
behat/mink suggests installing behat/mink-selenium2-driver (slow, but JS-enabled driver for any app (requires Selenium2))
behat/mink suggests installing behat/mink-zombie-driver (fast and JS-enabled headless driver for any app (requires node.js))
sebastian/global-state suggests installing ext-uopz (*)
phpunit/php-code-coverage suggests installing ext-xdebug (>=2.2.1)
phpdocumentor/reflection-docblock suggests installing dflydev/markdown (~1.0)
phpdocumentor/reflection-docblock suggests installing erusev/parsedown (~1.0)
phpunit/phpunit suggests installing phpunit/php-invoker (~1.1)
Writing lock file
Generating autoload files
> Drupal\Core\Composer\Composer::preAutoloadDump
> Drupal\Core\Composer\Composer::ensureHtaccess

composer.json ковырял как мог, перепробовал все варианты.
Переустанавливал copmoser, drush, пытался с чистой версией.
Скиньте вариант composer.json с которым удается обновление.

P.S. Раньше обновлялся через drush, кто знает команды up и ups в девятой версии убрали?

0 Спасибо
Аватар пользователя Graytone
Graytone 1 неделя назад

Может с настройками сервера что?
drush 8.1.12
drush up
drush updb
без проблем
drushupdate
И как ни странно, вообще никаких аномалий после обновления

0 Спасибо
Аватар пользователя adubovskoy
adubovskoy 1 неделя назад 1

1. удалите папку vendor
2. в composer.json пропишите явно drupal/core ~8.4
3. запустите composer update

должно пройти

Аватар пользователя teqwer
teqwer 1 неделя назад
adubovskoy написал:
1. удалите папку vendor

2. в composer.json пропишите явно drupal/core ~8.4

3. запустите composer update
должно пройти

Это помогло!

Удалил папку Vendor.
В composer.json в секции "require" указал "drupal/core ~8.4";
Секцию "replace" удалил.
Выполнил: "composer config repositories.drupal composer https://packages.drupal.org/8"
После выполнил: "composer update", т.к. "composer update drupal/core" выдавал все ту же ошибку:
Package "drupal/core" listed for update is not installed. Ignoring.
Потом drush updb, cr.

Окончательный вариант файла composer.json:

{
    "name": "drupal/drupal",
    "description": "Drupal is an open source content management platform powering millions of websites and applications.",
    "type": "project",
    "license": "GPL-2.0+",
    "require": {
        "composer/installers": "^1.0.24",
        "wikimedia/composer-merge-plugin": "~1.4",
                "drupal/core": "~8.4",
        "drupal/devel": "^1.2"
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "config": {
        "preferred-install": "dist",
        "autoloader-suffix": "Drupal8"
    },
    "extra": {
        "_readme": [
            "By default Drupal loads the autoloader from ./vendor/autoload.php.",
            "To change the autoloader you can edit ./autoload.php.",
            "This file specifies the packages.drupal.org repository.",
            "You can read more about this composer repository at:",
            "https://www.drupal.org/node/2718229"
        ],
        "merge-plugin": {
            "include": [
                "core/composer.json"
            ],
            "recurse": false,
            "replace": false,
            "merge-extra": false
        },
        "installer-paths": {
            "core": ["type:drupal-core"],
            "modules/contrib/{$name}": ["type:drupal-module"],
            "profiles/contrib/{$name}": ["type:drupal-profile"],
            "themes/contrib/{$name}": ["type:drupal-theme"],
            "drush/contrib/{$name}": ["type:drupal-drush"],
            "modules/custom/{$name}": ["type:drupal-custom-module"],
            "themes/custom/{$name}": ["type:drupal-custom-theme"]
        }
    },
    "autoload": {
        "psr-4": {
            "Drupal\\Core\\Composer\\": "core/lib/Drupal/Core/Composer"
        }
    },
    "scripts": {
        "pre-autoload-dump": "Drupal\\Core\\Composer\\Composer::preAutoloadDump",
        "post-autoload-dump": [
          "Drupal\\Core\\Composer\\Composer::ensureHtaccess"
        ],
        "post-package-install": "Drupal\\Core\\Composer\\Composer::vendorTestCodeCleanup",
        "post-package-update": "Drupal\\Core\\Composer\\Composer::vendorTestCodeCleanup"
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    ]
}

Всем спасибо, остался один вопрос, как из командной строки проверять наличие обновлений?
В Drush 9 команда ups - не работает, см. первый пост.
Через composer такое можно сделать?

0 Спасибо
Аватар пользователя ХулиGUN
ХулиGUN 1 неделя назад 1
teqwer написал:
Всем спасибо, остался один вопрос, как из командной строки проверять наличие обновлений?

composer update --dry-run